Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationLog

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationLog

extends java.rmi.Remote

The `RemoteConfigurationLog` takes charge of the logging configuration interfaces invoked by JSP logging configuration pages. Note: since V8.1, only the first three new added API methods (`getLoggers()`, `load()` and `update()`) are useful in this interface. All the other old API methods defined before V8 are deprecated.

Method Summary
`java.util.Vector` | `getLoggers()` Gets all loggers provided by JReport Server.
`void` | `load()` Loads the latest configuration file to a list and clears the cache of the changes previously.
`boolean` | `update()` Updates the changes, saves the changed properties to the configuration file and invokes configuration service to take effect immediately.

Method Detail

### getLoggers

    java.util.Vector getLoggers()
                                throws java.rmi.RemoteException

  Gets all loggers provided by JReport Server. It includes six JReport Server-specific loggers and their root logger.

  Returns:
    all loggers currently configured.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### load

    void load()
              throws java.rmi.RemoteException

  Loads the latest configuration file to a list and clears the cache of the changes previously. This method should be invoked when entering the log configuration page.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### update

    boolean update()
                   throws java.rmi.RemoteException

  Updates the changes, saves the changed properties to the configuration file and invokes configuration service to take effect immediately.

  Returns:
    true, if the changed options are successfully saved to the configuration file, or else false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD